package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RechargeAccountGive;
import com.ssm.manage.entity.RechargeAccountOutin;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface RechargeAccountGiveMapper extends BaseMapper<RechargeAccountGive> {
    List<RechargeAccountGive> getDocNum(RechargeAccountGive rechargeAccountGive);

    void updateByGifMoney(RechargeAccountGive accountGive);

    int updateByMemberId(RechargeAccountGive accountGive);
}